package com.itbaizhan.service.impl;

import com.itbaizhan.dao.impl.UserLoginDaoImpl;
import com.itbaizhan.exception.UserNolFoundException;
import com.itbaizhan.pojo.Users;
import com.itbaizhan.service.UserLoginService;

/**
 * 用户登录业务
 */
public class UserLoginServiceImpl implements UserLoginService {
    /**
     * 用户登录
     * @param username
     * @param userpwd
     * @return
     */
    @Override
    public Users userLogin(String username, String userpwd) {
        UserLoginDaoImpl userLoginDao = new UserLoginDaoImpl();
        Users users = userLoginDao.selectUsersByUserNameAndUserPwd(username, userpwd);
        if (users == null){
            throw new UserNolFoundException("用户名或密码错误！！");

        }

        return users;
    }
}
