package com.itbaizhan.dao.impl;

import com.itbaizhan.commens.JdbcUtils;
import com.itbaizhan.pojo.Users;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;

public class UserLoginDaoImpl implements UserLoginDao {
    /**
     * 用户登录的数据库查询
     *
     * @param username
     * @param userpwd
     * @return
     */
    @Override
    public Users selectUsersByUserNameAndUserPwd(String username, String userpwd) {
        Users users = null;
        Connection coon = null;
        try {
            coon = JdbcUtils.getConnection();
            PreparedStatement ps = coon.prepareStatement("select * from user where username = ?and userpwd = ?");
            ps.setString(1, username);
            ps.setString(2, userpwd);
            ResultSet resultSet = ps.executeQuery();
            while (resultSet.next()) {
                users = new Users();
                users.setUsername(resultSet.getString("username"));
                users.setUserid(resultSet.getInt("userid"));
                users.setUserpwd(resultSet.getString("userpwd"));
                users.setUsersex(resultSet.getString("usersex"));
                users.setPhonenumber(resultSet.getString("phonenumber"));
                users.setQqnumber(resultSet.getString("qqnumber"));

            }
        } catch (Exception e) {
            e.printStackTrace();
        } finally {

        }
        return users;
    }

}
